#-----------------------------------------------------------------------------
# Set all sensitivity (tracking scale) at once.
# 1/26/04
# Copyright (c) 2004 David G. Drumright (ockham)
#-----------------------------------------------------------------------------

from Tkinter import *
import poser
scene = poser.Scene()

#-----------------------------------------------------------------------------
# Next section is TK
#------------------------------------------------------------

class App:
    def __init__(self, master, textMessage):
        global Go
        Go = 0
        self.master = master
        master.title("Dial Sensitivity")

        # The leader info goes across the top.
        self.Labelbox = Label(self.master,text="Make all sens. = ").grid(row=1, column=0)
        self.Entrybox = Entry(self.master)
        self.Entrybox.grid(row=1,column=1)

        # Go/nogo buttons.
        self.buttonGo = Button(self.master, text="Go", command=self.HandleGo)
        self.buttonGo.grid(row=3, column=0)

        self.buttonCancel = Button(self.master, text="Cancel", command=self.HandleCancel)
        self.buttonCancel.grid(row=3, column=2)

        self.master.protocol('WM_DELETE_WINDOW', self.HandleCancel)


    # - - - - - - - - - - - - - - - - - -

    def Update(self):  # Share the wealth
        if scene: scene.ProcessSomeEvents(1)
        root.lift()
        root.after(250, self.Update)

    # - - - - - - - - - - - - - - - - - -

    def HandleGo(self):
        # Get the entry
        S = self.Entrybox.get()
        if S:
            Sens = float(S)
        for OneActor in scene.Actors():
            for OneParm in OneActor.Parameters():
                if not OneParm.Hidden():
                    OneParm.SetSensitivity(Sens)
        self.master.destroy()

    # - - - - - - - - - - - - - - - - - -

    def HandleCancel(self):
        self.master.destroy()

#------------------------------------------------------------
# Activate the loop
#------------------------------------------------------------

root = Tk()
app = App(root, '')
app.Update()  # degug sharing
root.mainloop()

#------------------------------------------------------------
# End TK loop.
#-----------------------------------------------------------------------------
